Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 985561 - [abrt] geoclue-0.12.99-4.fc19: g_logv: Process /usr/libexec/geoclue-master was killed by signal 5 (SIGTRAP)
Summary: [abrt] geoclue-0.12.99-4.fc19: g_logv: Process /usr/libexec/geoclue-master wa...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: geoclue
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:bfeaa23a796c2188486076bc5ed...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-17 18:50 UTC by Martin Bříza
Modified: 2015-02-17 16:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 16:13:03 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2013-07-17 18:50 UTC, Martin Bříza
no flags Details
File: cgroup (deleted)
2013-07-17 18:50 UTC, Martin Bříza
no flags Details
File: core_backtrace (deleted)
2013-07-17 18:50 UTC, Martin Bříza
no flags Details
File: dso_list (deleted)
2013-07-17 18:50 UTC, Martin Bříza
no flags Details
File: environ (deleted)
2013-07-17 18:50 UTC, Martin Bříza
no flags Details
File: limits (deleted)
2013-07-17 18:50 UTC, Martin Bříza
no flags Details
File: maps (deleted)
2013-07-17 18:51 UTC, Martin Bříza
no flags Details
File: open_fds (deleted)
2013-07-17 18:51 UTC, Martin Bříza
no flags Details
File: proc_pid_status (deleted)
2013-07-17 18:51 UTC, Martin Bříza
no flags Details
File: var_log_messages (deleted)
2013-07-17 18:51 UTC, Martin Bříza
no flags Details

Description Martin Bříza 2013-07-17 18:50:25 UTC
Description of problem:
Just started redshift without any parameter.

Version-Release number of selected component:
geoclue-0.12.99-4.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/geoclue-master
crash_function: g_logv
executable:     /usr/libexec/geoclue-master
kernel:         3.9.9-301.fc19.x86_64
runlevel:       unknown
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #2 g_settings_set_property at /lib64/libgio-2.0.so.0
 #3 g_object_new_internal at /lib64/libgobject-2.0.so.0
 #4 g_object_new_valist at /lib64/libgobject-2.0.so.0

Comment 1 Martin Bříza 2013-07-17 18:50:31 UTC
Created attachment 774917 [details]
File: backtrace

Comment 2 Martin Bříza 2013-07-17 18:50:34 UTC
Created attachment 774918 [details]
File: cgroup

Comment 3 Martin Bříza 2013-07-17 18:50:37 UTC
Created attachment 774919 [details]
File: core_backtrace

Comment 4 Martin Bříza 2013-07-17 18:50:41 UTC
Created attachment 774920 [details]
File: dso_list

Comment 5 Martin Bříza 2013-07-17 18:50:49 UTC
Created attachment 774921 [details]
File: environ

Comment 6 Martin Bříza 2013-07-17 18:50:59 UTC
Created attachment 774922 [details]
File: limits

Comment 7 Martin Bříza 2013-07-17 18:51:09 UTC
Created attachment 774923 [details]
File: maps

Comment 8 Martin Bříza 2013-07-17 18:51:12 UTC
Created attachment 774924 [details]
File: open_fds

Comment 9 Martin Bříza 2013-07-17 18:51:19 UTC
Created attachment 774925 [details]
File: proc_pid_status

Comment 10 Martin Bříza 2013-07-17 18:51:23 UTC
Created attachment 774926 [details]
File: var_log_messages

Comment 11 Valent Turkovic 2013-10-16 13:14:29 UTC
Hi guys,
I just saw this issue on Ubuntu bugtracker:
https://bugs.launchpad.net/ubuntu/+source/redshift/+bug/868904

Issue is with missing geoclue-hostip as dependency...

Could this also be issue in Fedora?

Comment 12 Luke Macken 2014-09-23 21:57:33 UTC
I just hit this issue with F21 Alpha when running redshift for the first time.

org.freedesktop.Geoclue.Master[1880]: (process:32723): GLib-GIO-ERROR **: Settings schema 'org.freedesktop.Geoclue' is not installed
kernel: traps: geoclue-master[32723] trap int3 ip:7f8150076c70 sp:7fff92b0d040 error:0

Comment 13 Matthias Clasen 2014-09-26 22:31:29 UTC
The package is installing a gschema.xml file, but fails to call glib-compile-schemas in %posttrans/%postun:

%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

Comment 14 Fedora End Of Life 2015-01-09 18:58:29 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-02-17 16:13:03 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.